setup_color() {
	# Only use colors if connected to a terminal
	if [ -t 1 ]; then
		RED=$(printf '\033[31m')
		GREEN=$(printf '\033[32m')
		YELLOW=$(printf '\033[33m')
		BLUE=$(printf '\033[34m')
		BOLD=$(printf '\033[1m')
		RESET=$(printf '\033[m')
	else
		RED=""
		GREEN=""
		YELLOW=""
		BLUE=""
		BOLD=""
		RESET=""
	fi
}

print_logo() {
	# set color
	printf %s "$YELLOW"
	cat <<'EOF'
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
-------------------------------------------------------------------------------
---                                                                         ---
---██ ███    ██ ███████ ████████  █████  ██      ██      ██ ███████ ██    ██--- 
---██ ████   ██ ██         ██    ██   ██ ██      ██      ██ ██       ██  ██ --- 
---██ ██ ██  ██ ███████    ██    ███████ ██      ██      ██ █████     ████  --- 
---██ ██  ██ ██      ██    ██    ██   ██ ██      ██      ██ ██         ██   --- 
---██ ██   ████ ███████    ██    ██   ██ ███████ ███████ ██ ██         ██   --- 
---                                                                         ---
-------------------------------------------------------------------------------
-------------------------------made by spekulaas-------------------------------
---------------------------------Version 1.0.0---------------------------------
-------------------------------------------------------------------------------

EOF
	# set color to default
	printf %s "$RESET"
}

print_help() {
	# set color
	printf %s "$YELLOW"
	cat <<'EOF'
Usage: Sudo ./install.sh [command oprions]

Command options:
	-h, -help			Show a list of all commands
	-v, -version		Show the current version of the application
	-d, -debug			Display all the download information
EOF
	# set color to default
	printf %s "$RESET"
}

print_version() {
	echo "Version 1.0.0"
}